[ovs-dev] [PATCH v2 03/13] datapath: Drop support for RHEL5 build

Pravin B Shelar pshelar at nicira.com
Tue Sep 3 20:59:35 UTC 2013


RHEL5 is based on kernel 2.6.18.

Signed-off-by: Pravin B Shelar <pshelar at nicira.com>
---
 INSTALL.RHEL                        |   19 +---
 rhel/automake.mk                    |    6 -
 rhel/kmodtool-openvswitch-el5.sh    |  273 -----------------------------------
 rhel/openvswitch-kmod-rhel5.spec.in |   85 -----------
 4 files changed, 1 insertions(+), 382 deletions(-)
 delete mode 100755 rhel/kmodtool-openvswitch-el5.sh
 delete mode 100644 rhel/openvswitch-kmod-rhel5.spec.in

diff --git a/INSTALL.RHEL b/INSTALL.RHEL
index a698fae..cbb91de 100644
--- a/INSTALL.RHEL
+++ b/INSTALL.RHEL
@@ -68,24 +68,7 @@ RHEL.  On RHEL 5, the default RPM source directory is
    then the kernel-devel package is missing or buggy.  Go back to step
    1 or 2 and fix the problem.
 
-7a. On RHEL 5, to build the Open vSwitch kernel module, copy
-    rhel/kmodtool-openvswitch-el5.sh into the RPM source directory and
-    run:
-
-	rpmbuild -bb --target=i686-unknown-linux \
-		rhel/openvswitch-kmod-rhel5.spec
-
-    You might have to specify a kernel version, e.g.:
-
-	rpmbuild -bb -D "kversion 2.6.18-238.12.1.el5" \
-		--target=i686-unknown-linux \
-		rhel/openvswitch-kmod-rhel5.spec
-
-    This produces a "kmod-openvswitch" RPM for each kernel variant,
-    which is usually: "kmod-openvswitch", "kmod-openvswitch-xen", and
-    "kmod-openvswitch-PAE".
-
-7b. On RHEL 6, to build the Open vSwitch kernel module, copy
+7. On RHEL 6, to build the Open vSwitch kernel module, copy
     rhel/openvswitch-kmod.files into the RPM source directory and run:
 
 	rpmbuild -bb rhel/openvswitch-kmod-rhel6.spec
diff --git a/rhel/automake.mk b/rhel/automake.mk
index 7bc8520..2911e71 100644
--- a/rhel/automake.mk
+++ b/rhel/automake.mk
@@ -12,9 +12,6 @@ EXTRA_DIST += \
 	rhel/etc_logrotate.d_openvswitch \
 	rhel/etc_sysconfig_network-scripts_ifdown-ovs \
 	rhel/etc_sysconfig_network-scripts_ifup-ovs \
-	rhel/kmodtool-openvswitch-el5.sh \
-	rhel/openvswitch-kmod-rhel5.spec \
-	rhel/openvswitch-kmod-rhel5.spec.in \
 	rhel/openvswitch-kmod-rhel6.spec \
 	rhel/openvswitch-kmod-rhel6.spec.in \
 	rhel/openvswitch-kmod.files \
@@ -32,9 +29,6 @@ update_rhel_spec = \
     < $(srcdir)/rhel/$(@F).in > $(@F).tmp || exit 1; \
   if cmp -s $(@F).tmp $@; then touch $@; rm $(@F).tmp; else mv $(@F).tmp $@; fi
 
-$(srcdir)/rhel/openvswitch-kmod-rhel5.spec: rhel/openvswitch-kmod-rhel5.spec.in $(top_builddir)/config.status
-	$(update_rhel_spec)
-
 $(srcdir)/rhel/openvswitch-kmod-rhel6.spec: rhel/openvswitch-kmod-rhel6.spec.in $(top_builddir)/config.status
 	$(update_rhel_spec)
 
diff --git a/rhel/kmodtool-openvswitch-el5.sh b/rhel/kmodtool-openvswitch-el5.sh
deleted file mode 100755
index ce1d54a..0000000
--- a/rhel/kmodtool-openvswitch-el5.sh
+++ /dev/null
@@ -1,273 +0,0 @@
-#!/bin/bash
-
-# kmodtool - Helper script for building kernel module RPMs
-# Copyright (c) 2003-2008 Ville Skyttä <ville.skytta at iki.fi>,
-#                         Thorsten Leemhuis <fedora at leemhuis.info>
-#                         Jon Masters <jcm at redhat.com>
-#
-# Permission is hereby granted, free of charge, to any person obtaining
-# a copy of this software and associated documentation files (the
-# "Software"), to deal in the Software without restriction, including
-# without limitation the rights to use, copy, modify, merge, publish,
-# distribute, sublicense, and/or sell copies of the Software, and to
-# permit persons to whom the Software is furnished to do so, subject to
-# the following conditions:
-#
-# The above copyright notice and this permission notice shall be
-# included in all copies or substantial portions of the Software.
-#
-# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
-# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
-# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
-# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
-# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
-# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
-# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
-
-shopt -s extglob
-
-myprog="kmodtool"
-myver="0.10.10_kmp3"
-knownvariants=@(BOOT|PAE|@(big|huge)mem|debug|enterprise|kdump|?(large)smp|uml|xen[0U]?(-PAE)|xen)
-kmod_name=
-kver=
-verrel=
-variant=
-kmp=
-
-get_verrel ()
-{
-  verrel=${1:-$(uname -r)}
-  verrel=${verrel%%$knownvariants}
-}
-
-print_verrel ()
-{
-  get_verrel $@
-  echo "${verrel}"
-}
-
-get_variant ()
-{
-  get_verrel $@
-  variant=${1:-$(uname -r)}
-  variant=${variant##$verrel}
-  variant=${variant:-'""'}
-}
-
-print_variant ()
-{
-  get_variant $@
-  echo "${variant}"
-}
-
-get_rpmtemplate ()
-{
-    local variant="${1}"
-    local dashvariant="${variant:+-${variant}}"
-    case "$verrel" in
-        *.el*) kdep="kernel${dashvariant}-%{_target_cpu} = ${verrel}" ;;
-        *.EL*) kdep="kernel${dashvariant}-%{_target_cpu} = ${verrel}" ;;
-        *)     kdep="kernel-%{_target_cpu} = ${verrel}${variant}"     ;;
-    esac
-
-    echo "%package       -n kmod-${kmod_name}${dashvariant}"
-
-    if [ -z "$kmp_provides_summary" ]; then
-        echo "Summary:          ${kmod_name} kernel module(s)"
-    fi
-
-    if [ -z "$kmp_provides_group" ]; then
-        echo "Group:            System Environment/Kernel"
-    fi
-
-    if [ ! -z "$kmp_version" ]; then
-        echo "Version: %{kmp_version}"
-    fi
-
-    if [ ! -z "$kmp_release" ]; then
-        echo "Release: %{kmp_release}"
-    fi
-    
-    if [ ! -z "$kmp" ]; then
-        echo "%global _use_internal_dependency_generator 0"
-    fi
-    
-    cat <<EOF
-Provides:         kernel-modules = ${verrel}${variant}
-Provides:         ${kmod_name}-kmod = %{?epoch:%{epoch}:}%{version}-%{release}
-EOF
-    
-    if [ -z "$kmp" ]; then
-        echo "Requires:         ${kdep}"
-    fi
-
-#
-# RHEL5 - Remove common package requirement on general kmod packages.
-# Requires: ${kmod_name}-kmod-common >= %{?epoch:%{epoch}:}%{version}
-#
-
-    cat <<EOF
-Requires(post):   /sbin/depmod
-Requires(postun): /sbin/depmod
-EOF
-
-if [ "no" != "$kmp_nobuildreqs" ]
-then
-    echo "BuildRequires: kernel${dashvariant}-devel-%{_target_cpu} = ${verrel}"
-fi
-
-if [ "" != "$kmp_override_preamble" ]
-then
-    cat "$kmp_override_preamble"
-fi
-
-cat <<EOF
-%description   -n kmod-${kmod_name}${dashvariant}
-This package provides the ${kmod_name} kernel modules built for the Linux
-kernel ${verrel}${variant} for the %{_target_cpu} family of processors.
-%post          -n kmod-${kmod_name}${dashvariant}
-if [ -e "/boot/System.map-${verrel}${variant}" ]; then
-    /sbin/depmod -aeF "/boot/System.map-${verrel}${variant}" "${verrel}${variant}" > /dev/null || :
-fi
-EOF
-    
-    if [ ! -z "$kmp" ]; then
-        cat <<EOF
-
-#modules=( \$(rpm -ql kmod-${kmod_name}${dashvariant} | grep '\.ko$') )
-modules=( \$(find /lib/modules/${verrel}${variant}/extra/${kmod_name} \
-          | grep '\.ko$') )
-if [ -x "/sbin/weak-modules" ]; then
-    printf '%s\n' "\${modules[@]}" \
-    | /sbin/weak-modules --add-modules
-fi
-%preun         -n kmod-${kmod_name}${dashvariant}
-rpm -ql kmod-${kmod_name}${dashvariant} | grep '\.ko$' \
-    > /var/run/rpm-kmod-${kmod_name}${dashvariant}-modules
-EOF
-        
-    fi
-    
-    cat <<EOF
-%postun        -n kmod-${kmod_name}${dashvariant}
-/sbin/depmod -aF /boot/System.map-${verrel}${variant} ${verrel}${variant} &> /dev/null || :
-EOF
-    
-    if [ ! -z "$kmp" ]; then
-        cat <<EOF
-modules=( \$(cat /var/run/rpm-kmod-${kmod_name}${dashvariant}-modules) )
-#rm /var/run/rpm-kmod-${kmod_name}${dashvariant}-modules
-if [ -x "/sbin/weak-modules" ]; then
-    printf '%s\n' "\${modules[@]}" \
-    | /sbin/weak-modules --remove-modules
-fi
-EOF
-    fi
-
-echo "%files         -n kmod-${kmod_name}${dashvariant}"
-
-if [ "" == "$kmp_override_filelist" ];
-then
-    echo "%defattr(644,root,root,755)"
-    echo "/lib/modules/${verrel}${variant}/"
-    echo "%config /etc/depmod.d/kmod-${kmod_name}.conf"
-    #BZ252188 - I've commented this out for the moment since RHEL5 doesn't
-    #           really support external firmware e.g. at install time. If
-    #           you really want it, use an override filelist solution.
-    #echo "/lib/firmware/"
-else
-    cat "$kmp_override_filelist"
-fi
-}
-
-print_rpmtemplate ()
-{
-  kmod_name="${1}"
-  shift
-  kver="${1}"
-  get_verrel "${1}"
-  shift
-  if [ -z "${kmod_name}" ] ; then
-    echo "Please provide the kmodule-name as first parameter." >&2
-    exit 2
-  elif [ -z "${kver}" ] ; then
-    echo "Please provide the kver as second parameter." >&2
-    exit 2
-  elif [ -z "${verrel}" ] ; then
-    echo "Couldn't find out the verrel." >&2
-    exit 2
-  fi
-  
-  for variant in "$@" ; do
-      if [ "default" == "$variant" ];
-      then
-            get_rpmtemplate ""
-      else
-            get_rpmtemplate "${variant}"
-      fi
-  done
-}
-
-usage ()
-{
-  cat <<EOF
-You called: ${invocation}
-
-Usage: ${myprog} <command> <option>+
- Commands:
-  verrel <uname>                               
-    - Get "base" version-release.
-  variant <uname>                               
-    - Get variant from uname.
-  rpmtemplate <mainpgkname> <uname> <variants> 
-    - Return a template for use in a source RPM
-  rpmtemplate_kmp <mainpgkname> <uname> <variants>
-    - Return a template for use in a source RPM with KMP dependencies
-  version  
-    - Output version number and exit.
-EOF
-}
-
-invocation="$(basename ${0}) $@"
-while [ "${1}" ] ; do
-  case "${1}" in
-    verrel)
-      shift
-      print_verrel $@
-      exit $?
-      ;;
-    variant)
-      shift
-      print_variant $@
-      exit $?
-      ;;
-    rpmtemplate)
-      shift
-      print_rpmtemplate "$@"
-      exit $?
-      ;;
-    rpmtemplate_kmp)
-      shift
-      kmp=1
-      print_rpmtemplate "$@"
-      exit $?
-      ;;
-    version)
-      echo "${myprog} ${myver}"
-      exit 0
-      ;;
-    *)
-      echo "Error: Unknown option '${1}'." >&2
-      usage >&2
-      exit 2
-      ;;
-  esac
-done
-
-# Local variables:
-# mode: sh
-# sh-indentation: 2
-# indent-tabs-mode: nil
-# End:
-# ex: ts=2 sw=2 et
diff --git a/rhel/openvswitch-kmod-rhel5.spec.in b/rhel/openvswitch-kmod-rhel5.spec.in
deleted file mode 100644
index ae73ea6..0000000
--- a/rhel/openvswitch-kmod-rhel5.spec.in
+++ /dev/null
@@ -1,85 +0,0 @@
-# Spec file for Open vSwitch kernel modules on Red Hat Enterprise
-# Linux 5.
-
-# Copyright (C) 2009, 2010, 2011, 2012 Nicira, Inc.
-#
-# Copying and distribution of this file, with or without modification,
-# are permitted in any medium without royalty provided the copyright
-# notice and this notice are preserved.  This file is offered as-is,
-# without warranty of any kind.
-
-%define kmod_name openvswitch
-%{!?kversion: %define kversion 2.6.18-238.12.1.el5}
-
-Name:    %{kmod_name}-kmod
-Version: @VERSION@
-Release: 1%{?dist}
-Group:   System Environment/Kernel
-License: GPLv2
-Summary: Open vSwitch kernel modules
-URL:     http://openvswitch.org/
-
-BuildRequires: redhat-rpm-config
-BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-build-%(%{__id_u} -n)
-ExclusiveArch: i686 x86_64
-
-# Sources.
-Source0:  %{kmod_name}-%{version}.tar.gz
-Source10: kmodtool-%{kmod_name}-el5.sh
-
-# Define the variants for each architecture.
-%define basevar ""
-%ifarch i686
-%define paevar PAE
-%endif
-%ifarch i686 x86_64
-%define xenvar xen
-%endif
-
-# If kvariants isn't defined on the rpmbuild line, build all variants for this architecture.
-%{!?kvariants: %define kvariants %{?basevar} %{?xenvar} %{?paevar}}
-
-# Magic hidden here.
-%{expand:%(sh %{SOURCE10} rpmtemplate_kmp %{kmod_name} %{kversion} %{kvariants})}
-
-# Disable the building of the debug package(s).
-%define debug_package %{nil}
-
-# Define the filter.
-%define __find_requires sh %{_builddir}/%{buildsubdir}/filter-requires.sh
-
-%description
-Open vSwitch Linux kernel module.
-
-%prep
-%setup -q -c -T -a 0
-for kvariant in %{kvariants} ; do
-    %{__cp} -a %{kmod_name}-%{version} _kmod_build_$kvariant
-done
-echo "/usr/lib/rpm/redhat/find-requires | %{__sed} -e '/^ksym.*/d'" > filter-requires.sh
-echo "override %{kmod_name} * weak-updates/%{kmod_name}" > kmod-%{kmod_name}.conf
-
-%build
-for kvariant in %{kvariants} ; do
-    KSRC=%{_usrsrc}/kernels/%{kversion}${kvariant:+-$kvariant}-%{_target_cpu}
-    cd _kmod_build_$kvariant
-    ../openvswitch-%{version}/configure --with-linux="$KSRC"
-    %{__make} -C datapath/linux %{?_smp_mflags}
-    cd ..
-done
-
-%install
-%{__rm} -rf %{buildroot}
-export INSTALL_MOD_PATH=%{buildroot}
-export INSTALL_MOD_DIR=extra/%{kmod_name}
-for kvariant in %{kvariants} ; do
-    KSRC=%{_usrsrc}/kernels/%{kversion}${kvariant:+-$kvariant}-%{_target_cpu}
-    %{__make} -C "${KSRC}" modules_install M="`pwd`"/_kmod_build_$kvariant/datapath/linux
-done
-%{__install} -d %{buildroot}%{_sysconfdir}/depmod.d/
-%{__install} kmod-%{kmod_name}.conf %{buildroot}%{_sysconfdir}/depmod.d/
-# Set the module(s) to be executable, so that they will be stripped when packaged.
-find %{buildroot} -type f -name \*.ko -exec %{__chmod} u+x \{\} \;
-
-%clean
-%{__rm} -rf %{buildroot}
-- 
1.7.1




More information about the dev mailing list